@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: "Noto Sans KR", "Noto Sans SC", sans-serif;
    background-color: #FAFAFA !important;
}

div {
    font-family: "Noto Sans KR", "Noto Sans SC", sans-serif;
    /*font-family: 'Signika Negative', sans-serif;*/
}

.markdown-box-borderless {
    width: 100%;
    border: none !important;
    box-sizing: border-box !important;
    border-radius: 8px;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }


.td11 .mud-icon-default {
    color: #aaaaaa;
}

.mud-main-content {
    background-color: #fafafa;
}
.mud-container {
    background-color: #fafafa;
    text-align: left;
}
.mud-grid {
    background-color: #fafafa;
}
.title-ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 90%; /* Ȥ�� ������ ���� �����ϼ��� */
    display: block;
}

.subtitle-ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 90%; /* Ȥ�� ������ ���� �����ϼ��� */
    display: block;
    color: #777777
}

body hr {
    border-bottom: 1px solid #888888;
    margin: 20px 0; /* Add some spacing around the hr */
}

.container-fluid ul li {
    list-style: circle;
}

.container-fluid h5 {
}
.container-fluid h6 {
    font-weight: normal;
    margin-left: 20px;
    font-size: 15px;
    color: #000000;
}


input[type='checkbox'] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    position: relative;
    width: 14px;
    height: 14px;
}

    input[type='checkbox']:after {
        line-height: 1.5em;
        content: '';
        display: block;
        width: 14px;
        height: 14px;
        border: 1px solid #bbbbbb;
        border-radius: 1px;
        background: #e1e1e1;
        transition: all 0.3s;
        position: absolute;
        top: 0;
        left: 0;
    }

    input[type='checkbox']:checked:after {
        border: 1px solid #185486;
        border-radius: 1px;
        background: #3076b0 url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"%3E%3Ctitle%3Echeck-bold%3C/title%3E%3Cpath d="M9,20.42L2.79,14.21L5.62,11.38L9,14.77L18.88,4.88L21.71,7.71L9,20.42Z" fill="%23ffffff" /%3E%3C/svg%3E') no-repeat center center;
    }





.overlay-content {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.85);
    color: #ffffff;
    justify-content: space-between; /* ����� �κ� */
    align-items: flex-start;
    flex-direction: column;
    padding: 20px 15px;
}

.card:hover .overlay-content {
    display: flex;
}

.overay-content-title {
    margin: 0;
    padding: 0;
    white-space: nowrap;
    margin-bottom: 6px;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
    font-size: 16px;
    font-weight: bold;
    width: 100%;
}

.truncate {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    max-width: 100%;
    width: 100%;
    -webkit-line-clamp: 2;
}

.overlay-content-content {
    width: 100%;
}

.overlay-button-container {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    flex-grow: 1; /* ����� �κ� */
}

    .overlay-button-container .btn {
        width: 100%; /* ��ư�� �ʺ� 100%�� ���� */
        border-radius: 0;
    }

/* Mobile specific CSS */
@media only screen and (max-width: 768px) {
    .truncate {
        -webkit-line-clamp: 2;
    }
}

/* sm: 576px �̻� */
@media (min-width: 576px) {
    .truncate {
        -webkit-line-clamp: 3;
    }
}

/* md: 768px �̻� */
@media (min-width: 768px) {
    .truncate {
        -webkit-line-clamp: 4;
    }
}

/* lg: 992px �̻� */
@media (min-width: 992px) {
    .truncate {
        -webkit-line-clamp: 3;
    }
}

/* xl: 1200px �̻� */
@media (min-width: 1200px) {
    .truncate {
        -webkit-line-clamp: 6;
    }
}


    .markdown-content .task-list-item {
        list-style-type: none;
    }

        .markdown-content .task-list-item label {
            font-weight: 400;
        }

        .markdown-content .task-list-item.enabled label {
            cursor: pointer;
        }

        .markdown-content .task-list-item + .task-list-item {
            margin-top: 5px;
        }

        .markdown-content .task-list-item .handle {
            display: none;
        }

    .markdown-content blockquote {
        border-left: 4px solid #cccccc; /* ���� ���μ� ���� */
        background-color: #f9f9f9; /* ���� */
        margin: 1em 0; /* ���Ʒ� ���� */
        padding: 0.5em 10px; /* ���� ���� */
        font-style: italic; /* ���� ��Ÿ�� */
    }

        .markdown-content blockquote p {
            margin: 0; /* ���� <p> �±��� ���� ���� */
            padding: 0.5em 0; /* ���Ʒ� ������ ����, �¿� ���� ���� */
        }

            .markdown-content blockquote p:last-child {
                padding-bottom: 0; /* ������ <p> �±��� �ϴ� �е� ���� */
            }

    .markdown-content img {
        display: block

    }

.markdown-body {
    -ms-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
    margin: 0;
    color: #1F2328;
    background-color: #ffffff;
    font-size: 13px !important;
    line-height: 1.5;
    word-wrap: break-word;
    padding: 60px;
    border: 1px solid #CCCCCC;
    border-radius: 4px;
    box-sizing: border-box !important;
    width: 100% !important;
    max-width: 800px !important;
    margin-top: 137px;
}

    .markdown-body .octicon {
        display: inline-block;
        fill: currentColor;
        vertical-align: text-bottom;
    }

    .markdown-body h1:hover .anchor .octicon-link:before,
    .markdown-body h2:hover .anchor .octicon-link:before,
    .markdown-body h3:hover .anchor .octicon-link:before,
    .markdown-body h4:hover .anchor .octicon-link:before,
    .markdown-body h5:hover .anchor .octicon-link:before,
    .markdown-body h6:hover .anchor .octicon-link:before {
        width: 16px;
        height: 16px;
        content: ' ';
        display: inline-block;
        background-color: currentColor;
        -webkit-mask-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' version='1.1' aria-hidden='true'><path fill-rule='evenodd' d='M7.775 3.275a.75.75 0 001.06 1.06l1.25-1.25a2 2 0 112.83 2.83l-2.5 2.5a2 2 0 01-2.83 0 .75.75 0 00-1.06 1.06 3.5 3.5 0 004.95 0l2.5-2.5a3.5 3.5 0 00-4.95-4.95l-1.25 1.25zm-4.69 9.64a2 2 0 010-2.83l2.5-2.5a2 2 0 012.83 0 .75.75 0 001.06-1.06 3.5 3.5 0 00-4.95 0l-2.5 2.5a3.5 3.5 0 004.95 4.95l1.25-1.25a.75.75 0 00-1.06-1.06l-1.25 1.25a2 2 0 01-2.83 0z'></path></svg>");
        mask-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' version='1.1' aria-hidden='true'><path fill-rule='evenodd' d='M7.775 3.275a.75.75 0 001.06 1.06l1.25-1.25a2 2 0 112.83 2.83l-2.5 2.5a2 2 0 01-2.83 0 .75.75 0 00-1.06 1.06 3.5 3.5 0 004.95 0l2.5-2.5a3.5 3.5 0 00-4.95-4.95l-1.25 1.25zm-4.69 9.64a2 2 0 010-2.83l2.5-2.5a2 2 0 012.83 0 .75.75 0 001.06-1.06 3.5 3.5 0 00-4.95 0l-2.5 2.5a3.5 3.5 0 004.95 4.95l1.25-1.25a.75.75 0 00-1.06-1.06l-1.25 1.25a2 2 0 01-2.83 0z'></path></svg>");
    }

    .markdown-body details,
    .markdown-body figcaption,
    .markdown-body figure {
        display: block;
    }

    .markdown-body summary {
        display: list-item;
    }

    .markdown-body [hidden] {
        display: none !important;
    }

    .markdown-body a {
        background-color: transparent;
        color: #0969da;
        text-decoration: none;
    }

    .markdown-body abbr[title] {
        border-bottom: none;
        -webkit-text-decoration: underline dotted;
        text-decoration: underline dotted;
    }

    .markdown-body b,
    .markdown-body strong {
        font-weight: 600;
    }

    .markdown-body dfn {
        font-style: italic;
    }

    .markdown-body h1 {
        margin: .67em 0;
        font-weight: 600;
        padding-bottom: .3em;
        font-size: 2em;
        border-bottom: 1px solid hsla(210,18%,87%,1);
    }

    .markdown-body mark {
        background-color: #fff8c5;
        color: #1F2328;
    }

    .markdown-body small {
        font-size: 90%;
    }

    .markdown-body sub,
    .markdown-body sup {
        font-size: 75%;
        line-height: 0;
        position: relative;
        vertical-align: baseline;
    }

    .markdown-body sub {
        bottom: -0.25em;
    }

    .markdown-body sup {
        top: -0.5em;
    }

    .markdown-body img {
        border-style: none;
        max-width: 100%;
        box-sizing: content-box;
        background-color: #ffffff;
    }

    .markdown-body code,
    .markdown-body kbd,
    .markdown-body pre,
    .markdown-body samp {
        font-family: monospace;
        font-size: 1em;
    }

    .markdown-body figure {
        margin: 1em 40px;
    }

    .markdown-body hr {
        box-sizing: content-box;
        overflow: hidden;
        background: transparent;
        border-bottom: 1px solid hsla(210,18%,87%,1);
        height: .25em;
        padding: 0;
        margin: 24px 0;
        background-color: #d0d7de;
        border: 0;
    }

    .markdown-body input {
        font: inherit;
        margin: 0;
        overflow: visible;
        font-family: inherit;
        font-size: inherit;
        line-height: inherit;
    }

    .markdown-body [type=button],
    .markdown-body [type=reset],
    .markdown-body [type=submit] {
        -webkit-appearance: button;
        appearance: button;
    }

    .markdown-body [type=checkbox],
    .markdown-body [type=radio] {
        box-sizing: border-box;
        padding: 0;
    }

    .markdown-body [type=number]::-webkit-inner-spin-button,
    .markdown-body [type=number]::-webkit-outer-spin-button {
        height: auto;
    }

    .markdown-body [type=search]::-webkit-search-cancel-button,
    .markdown-body [type=search]::-webkit-search-decoration {
        -webkit-appearance: none;
        appearance: none;
    }

    .markdown-body ::-webkit-input-placeholder {
        color: inherit;
        opacity: .54;
    }

    .markdown-body ::-webkit-file-upload-button {
        -webkit-appearance: button;
        appearance: button;
        font: inherit;
    }

    .markdown-body a:hover {
        text-decoration: underline;
    }

    .markdown-body ::placeholder {
        color: #6e7781;
        opacity: 1;
    }

    .markdown-body hr::before {
        display: table;
        content: "";
    }

    .markdown-body hr::after {
        display: table;
        clear: both;
        content: "";
    }

    .markdown-body table {
        border-spacing: 0;
        border-collapse: collapse;
        display: block;
        width: max-content;
        max-width: 100%;
        overflow: auto;
    }

    .markdown-body td,
    .markdown-body th {
        padding: 0;
    }

    .markdown-body p {
        text-align: justify;
    }

    .markdown-body details summary {
        cursor: pointer;
    }

    .markdown-body details:not([open]) > *:not(summary) {
        display: none !important;
    }

    .markdown-body a:focus,
    .markdown-body [role=button]:focus,
    .markdown-body input[type=radio]:focus,
    .markdown-body input[type=checkbox]:focus {
        outline: 2px solid #0969da;
        outline-offset: -2px;
        box-shadow: none;
    }

        .markdown-body a:focus:not(:focus-visible),
        .markdown-body [role=button]:focus:not(:focus-visible),
        .markdown-body input[type=radio]:focus:not(:focus-visible),
        .markdown-body input[type=checkbox]:focus:not(:focus-visible) {
            outline: solid 1px transparent;
        }

    .markdown-body a:focus-visible,
    .markdown-body [role=button]:focus-visible,
    .markdown-body input[type=radio]:focus-visible,
    .markdown-body input[type=checkbox]:focus-visible {
        outline: 2px solid #0969da;
        outline-offset: -2px;
        box-shadow: none;
    }

    .markdown-body a:not([class]):focus,
    .markdown-body a:not([class]):focus-visible,
    .markdown-body input[type=radio]:focus,
    .markdown-body input[type=radio]:focus-visible,
    .markdown-body input[type=checkbox]:focus,
    .markdown-body input[type=checkbox]:focus-visible {
        outline-offset: 0;
    }

    .markdown-body kbd {
        display: inline-block;
        padding: 3px 5px;
        font: 11px ui-monospace,SFMono-Regular,SF Mono,Menlo,Consolas,Liberation Mono,monospace;
        line-height: 10px;
        color: #1F2328;
        vertical-align: middle;
        background-color: #f6f8fa;
        border: solid 1px rgba(175,184,193,0.2);
        border-bottom-color: rgba(175,184,193,0.2);
        border-radius: 6px;
        box-shadow: inset 0 -1px 0 rgba(175,184,193,0.2);
    }

    .markdown-body h1,
    .markdown-body h2,
    .markdown-body h3,
    .markdown-body h4,
    .markdown-body h5,
    .markdown-body h6 {
        margin-top: 24px;
        margin-bottom: 16px;
        font-weight: 600;
        line-height: 1.25;
    }

    .markdown-body h2 {
        font-weight: 549;
        padding-bottom: .3em;
        font-size: 1.25em;
        border-bottom: 1px solid hsla(210,18%,87%,1);
    }

    .markdown-body h3 {
        font-weight: 600;
        font-size: 1.25em;
    }

    .markdown-body h4 {
        font-weight: 600;
        font-size: 1em;
    }

    .markdown-body h5 {
        font-weight: 600;
        font-size: .875em;
    }

    .markdown-body h6 {
        font-weight: 600;
        font-size: .85em;
        color: #656d76;
    }

    .markdown-body p {
        margin-top: 0;
        margin-bottom: 10px;
    }

    .markdown-body blockquote {
        margin: 0;
        padding: 0 1em;
        color: #656d76;
        border-left: .25em solid #d0d7de;
    }
    /* ù ��° ������ ��� ��Ÿ�� */
    .markdown-body > ul,
    .markdown-body > ol {
        margin-top: 0;
        margin-bottom: 0;
        padding-left: 2px; /* ù ��° ������ ��� ���� �е��� ���� */
        list-style-position: inside;
    }

    /* ��� ��� �׸� ������ ���� ���� */
    .markdown-body li {
        margin-top: 0.5em; /* ��� �׸��� ��� ���� ���� */
        margin-bottom: 0.5em; /* ��� �׸��� �ϴ� ���� ���� */
    }

    /* ��ø�� ����� ��Ÿ�� (ù ��° ��ø ����) */
    .markdown-body ul ul,
    .markdown-body ul ol,
    .markdown-body ol ul,
    .markdown-body ol ol {
        padding-left: 2em; /* ��ø�� ����� ���� �е� ���� */
    }

        /* �� ��° �̻��� ��ø ���� ��Ÿ�� */
        .markdown-body ul ul ul,
        .markdown-body ul ul ol,
        .markdown-body ul ol ul,
        .markdown-body ul ol ol,
        .markdown-body ol ul ul,
        .markdown-body ol ul ol,
        .markdown-body ol ol ul,
        .markdown-body ol ol ol {
            padding-left: 4em; /* �� ���� ��ø�� ����� ���� �е��� ���� ���� */
        }

    /* ��ø�� ����� ����Ʈ ��Ÿ�� ���� ���� */
    .markdown-body ol ol,
    .markdown-body ul ol {
        list-style-type: lower-roman; /* ù ��° ��ø ������ �θ� ���� ��Ÿ�� ���� */
    }

        .markdown-body ul ul ol,
        .markdown-body ul ol ol,
        .markdown-body ol ul ol,
        .markdown-body ol ol ol {
            list-style-type: lower-alpha; /* �� ��° �̻��� ��ø ������ ���ĺ� ��Ÿ�� ���� */
        }



    .markdown-body dd {
        margin-left: 0;
    }

    .markdown-body tt,
    .markdown-body code,
    .markdown-body samp {
        font-family: ui-monospace,SFMono-Regular,SF Mono,Menlo,Consolas,Liberation Mono,monospace;
        font-size: 12px;
    }

    .markdown-body pre {
        margin-top: 0;
        margin-bottom: 0;
        font-family: ui-monospace,SFMono-Regular,SF Mono,Menlo,Consolas,Liberation Mono,monospace;
        font-size: 12px;
        word-wrap: normal;
    }

    .markdown-body .octicon {
        display: inline-block;
        overflow: visible !important;
        vertical-align: text-bottom;
        fill: currentColor;
    }

    .markdown-body input::-webkit-outer-spin-button,
    .markdown-body input::-webkit-inner-spin-button {
        margin: 0;
        -webkit-appearance: none;
        appearance: none;
    }

    .markdown-body .mr-2 {
        margin-right: 8px !important;
    }

    .markdown-body::before {
        display: table;
        content: "";
    }

    .markdown-body::after {
        display: table;
        clear: both;
        content: "";
    }

    .markdown-body > *:first-child {
        margin-top: 0 !important;
    }

    .markdown-body > *:last-child {
        margin-bottom: 0 !important;
    }

    .markdown-body a:not([href]) {
        color: inherit;
        text-decoration: none;
    }

    .markdown-body .absent {
        color: #d1242f;
    }

    .markdown-body .anchor {
        float: left;
        padding-right: 4px;
        margin-left: -20px;
        line-height: 1;
    }

        .markdown-body .anchor:focus {
            outline: none;
        }

    .markdown-body p,
    .markdown-body blockquote,
    .markdown-body ul,
    .markdown-body ol,
    .markdown-body dl,
    .markdown-body table,
    .markdown-body pre,
    .markdown-body details {
        margin-top: 0;
        margin-bottom: 16px;
    }

        .markdown-body blockquote > :first-child {
            margin-top: 0;
        }

        .markdown-body blockquote > :last-child {
            margin-bottom: 0;
        }

    .markdown-body h1 .octicon-link,
    .markdown-body h2 .octicon-link,
    .markdown-body h3 .octicon-link,
    .markdown-body h4 .octicon-link,
    .markdown-body h5 .octicon-link,
    .markdown-body h6 .octicon-link {
        color: #1F2328;
        vertical-align: middle;
        visibility: hidden;
    }

    .markdown-body h1:hover .anchor,
    .markdown-body h2:hover .anchor,
    .markdown-body h3:hover .anchor,
    .markdown-body h4:hover .anchor,
    .markdown-body h5:hover .anchor,
    .markdown-body h6:hover .anchor {
        text-decoration: none;
    }

        .markdown-body h1:hover .anchor .octicon-link,
        .markdown-body h2:hover .anchor .octicon-link,
        .markdown-body h3:hover .anchor .octicon-link,
        .markdown-body h4:hover .anchor .octicon-link,
        .markdown-body h5:hover .anchor .octicon-link,
        .markdown-body h6:hover .anchor .octicon-link {
            visibility: visible;
        }

    .markdown-body h1 tt,
    .markdown-body h1 code,
    .markdown-body h2 tt,
    .markdown-body h2 code,
    .markdown-body h3 tt,
    .markdown-body h3 code,
    .markdown-body h4 tt,
    .markdown-body h4 code,
    .markdown-body h5 tt,
    .markdown-body h5 code,
    .markdown-body h6 tt,
    .markdown-body h6 code {
        padding: 0 .2em;
        font-size: inherit;
    }

    .markdown-body summary h1,
    .markdown-body summary h2,
    .markdown-body summary h3,
    .markdown-body summary h4,
    .markdown-body summary h5,
    .markdown-body summary h6 {
        display: inline-block;
    }

        .markdown-body summary h1 .anchor,
        .markdown-body summary h2 .anchor,
        .markdown-body summary h3 .anchor,
        .markdown-body summary h4 .anchor,
        .markdown-body summary h5 .anchor,
        .markdown-body summary h6 .anchor {
            margin-left: -40px;
        }

    .markdown-body summary h1,
    .markdown-body summary h2 {
        padding-bottom: 0;
        border-bottom: 0;
    }


    .markdown-body > ul {
        list-style-type: disc; /* ���� ��ȣ�� ��� */
    }

    .markdown-body ul.no-list,
    .markdown-body ol.no-list {
        padding: 0;
        list-style-type: none;
    }

    .markdown-body ol[type="a s"] {
        list-style-type: lower-alpha;
    }

    .markdown-body ol[type="A s"] {
        list-style-type: upper-alpha;
    }

    .markdown-body ol[type="i s"] {
        list-style-type: lower-roman;
    }

    .markdown-body ol[type="I s"] {
        list-style-type: upper-roman;
    }

    .markdown-body ol[type="1"] {
        list-style-type: decimal;
    }

    .markdown-body div > ol:not([type]) {
        list-style-type: decimal;
    }

    .markdown-body ul ul,
    .markdown-body ul ol,
    .markdown-body ol ol,
    .markdown-body ol ul {
        margin-top: 0;
        margin-bottom: 0;
    }

    .markdown-body li > p {
        margin-top: 16px;
    }

    .markdown-body li + li {
        margin-top: .25em;
    }

    .markdown-body dl {
        padding: 0;
    }

        .markdown-body dl dt {
            padding: 0;
            margin-top: 16px;
            font-size: 1em;
            font-style: italic;
            font-weight: 600;
        }

        .markdown-body dl dd {
            padding: 0 16px;
            margin-bottom: 16px;
        }

    .markdown-body table th {
        font-weight: 600;
    }

    .markdown-body table th,
    .markdown-body table td {
        padding: 6px 13px;
        border: 1px solid #d0d7de;
    }

        .markdown-body table td > :last-child {
            margin-bottom: 0;
        }

    .markdown-body table tr {
        background-color: #ffffff;
        border-top: 1px solid hsla(210,18%,87%,1);
    }

        .markdown-body table tr:nth-child(2n) {
            background-color: #f6f8fa;
        }

    .markdown-body table img {
        background-color: transparent;
    }

    .markdown-body img[align=right] {
        padding-left: 20px;
    }

    .markdown-body img[align=left] {
        padding-right: 20px;
    }

    .markdown-body .emoji {
        max-width: none;
        vertical-align: text-top;
        background-color: transparent;
    }

    .markdown-body span.frame {
        display: block;
        overflow: hidden;
    }

        .markdown-body span.frame > span {
            display: block;
            float: left;
            width: auto;
            padding: 7px;
            margin: 13px 0 0;
            overflow: hidden;
            border: 1px solid #d0d7de;
        }

        .markdown-body span.frame span img {
            display: block;
            float: left;
        }

        .markdown-body span.frame span span {
            display: block;
            padding: 5px 0 0;
            clear: both;
            color: #1F2328;
        }

    .markdown-body span.align-center {
        display: block;
        overflow: hidden;
        clear: both;
    }

        .markdown-body span.align-center > span {
            display: block;
            margin: 13px auto 0;
            overflow: hidden;
            text-align: center;
        }

        .markdown-body span.align-center span img {
            margin: 0 auto;
            text-align: center;
        }

    .markdown-body span.align-right {
        display: block;
        overflow: hidden;
        clear: both;
    }

        .markdown-body span.align-right > span {
            display: block;
            margin: 13px 0 0;
            overflow: hidden;
            text-align: right;
        }

        .markdown-body span.align-right span img {
            margin: 0;
            text-align: right;
        }

    .markdown-body span.float-left {
        display: block;
        float: left;
        margin-right: 13px;
        overflow: hidden;
    }

        .markdown-body span.float-left span {
            margin: 13px 0 0;
        }

    .markdown-body span.float-right {
        display: block;
        float: right;
        margin-left: 13px;
        overflow: hidden;
    }

        .markdown-body span.float-right > span {
            display: block;
            margin: 13px auto 0;
            overflow: hidden;
            text-align: right;
        }

    .markdown-body code,
    .markdown-body tt {
        padding: .2em .4em;
        margin: 0;
        font-size: 85%;
        white-space: break-spaces;
        background-color: rgba(175,184,193,0.2);
        border-radius: 6px;
    }

        .markdown-body code br,
        .markdown-body tt br {
            display: none;
        }

    .markdown-body del code {
        text-decoration: inherit;
    }

    .markdown-body samp {
        font-size: 85%;
    }

    .markdown-body pre code {
        font-size: 100%;
    }

    .markdown-body pre > code {
        padding: 0;
        margin: 0;
        word-break: normal;
        white-space: pre;
        background: transparent;
        border: 0;
    }

    .markdown-body .highlight {
        margin-bottom: 16px;
    }

        .markdown-body .highlight pre {
            margin-bottom: 0;
            word-break: normal;
        }

        .markdown-body .highlight pre,
        .markdown-body pre {
            padding: 0;
            overflow: auto;
            font-size: 85%;
            line-height: 1.45;
            color: #1F2328;
            background-color: #f6f8fa;
            border-radius: 6px;
        }

            .markdown-body pre code,
            .markdown-body pre tt {
                display: inline;
                padding: 0;
                margin: 0;
                overflow: visible;
                line-height: inherit;
                word-wrap: normal;
                background-color: transparent;
                border: 0;
            }

    .markdown-body .csv-data td,
    .markdown-body .csv-data th {
        padding: 5px;
        overflow: hidden;
        font-size: 12px;
        line-height: 1;
        text-align: left;
        white-space: nowrap;
    }

    .markdown-body .csv-data .blob-num {
        padding: 10px 8px 9px;
        text-align: right;
        background: #ffffff;
        border: 0;
    }

    .markdown-body .csv-data tr {
        border-top: 0;
    }

    .markdown-body .csv-data th {
        font-weight: 600;
        background: #f6f8fa;
        border-top: 0;
    }

    .markdown-body [data-footnote-ref]::before {
        content: "[";
    }

    .markdown-body [data-footnote-ref]::after {
        content: "]";
    }

    .markdown-body .footnotes {
        font-size: 12px;
        color: #656d76;
        border-top: 1px solid #d0d7de;
    }

        .markdown-body .footnotes ol {
            padding-left: 16px;
        }

            .markdown-body .footnotes ol ul {
                display: inline-block;
                padding-left: 16px;
                margin-top: 16px;
            }

        .markdown-body .footnotes li {
            position: relative;
        }

            .markdown-body .footnotes li:target::before {
                position: absolute;
                top: -8px;
                right: -8px;
                bottom: -8px;
                left: -24px;
                pointer-events: none;
                content: "";
                border: 2px solid #0969da;
                border-radius: 6px;
            }

            .markdown-body .footnotes li:target {
                color: #1F2328;
            }

        .markdown-body .footnotes .data-footnote-backref g-emoji {
            font-family: monospace;
        }

    .markdown-body .pl-c {
        color: #57606a;
    }

    .markdown-body .pl-c1,
    .markdown-body .pl-s .pl-v {
        color: #0550ae;
    }

    .markdown-body .pl-e,
    .markdown-body .pl-en {
        color: #6639ba;
    }

    .markdown-body .pl-smi,
    .markdown-body .pl-s .pl-s1 {
        color: #24292f;
    }

    .markdown-body .pl-ent {
        color: #116329;
    }

    .markdown-body .pl-k {
        color: #cf222e;
    }

    .markdown-body .pl-s,
    .markdown-body .pl-pds,
    .markdown-body .pl-s .pl-pse .pl-s1,
    .markdown-body .pl-sr,
    .markdown-body .pl-sr .pl-cce,
    .markdown-body .pl-sr .pl-sre,
    .markdown-body .pl-sr .pl-sra {
        color: #0a3069;
    }

    .markdown-body .pl-v,
    .markdown-body .pl-smw {
        color: #953800;
    }

    .markdown-body .pl-bu {
        color: #82071e;
    }

    .markdown-body .pl-ii {
        color: #f6f8fa;
        background-color: #82071e;
    }

    .markdown-body .pl-c2 {
        color: #f6f8fa;
        background-color: #cf222e;
    }

    .markdown-body .pl-sr .pl-cce {
        font-weight: bold;
        color: #116329;
    }

    .markdown-body .pl-ml {
        color: #3b2300;
    }

    .markdown-body .pl-mh,
    .markdown-body .pl-mh .pl-en,
    .markdown-body .pl-ms {
        font-weight: bold;
        color: #0550ae;
    }

    .markdown-body .pl-mi {
        font-style: italic;
        color: #24292f;
    }

    .markdown-body .pl-mb {
        font-weight: bold;
        color: #24292f;
    }

    .markdown-body .pl-md {
        color: #82071e;
        background-color: #ffebe9;
    }

    .markdown-body .pl-mi1 {
        color: #116329;
        background-color: #dafbe1;
    }

    .markdown-body .pl-mc {
        color: #953800;
        background-color: #ffd8b5;
    }

    .markdown-body .pl-mi2 {
        color: #eaeef2;
        background-color: #0550ae;
    }

    .markdown-body .pl-mdr {
        font-weight: bold;
        color: #8250df;
    }

    .markdown-body .pl-ba {
        color: #57606a;
    }

    .markdown-body .pl-sg {
        color: #8c959f;
    }

    .markdown-body .pl-corl {
        text-decoration: underline;
        color: #0a3069;
    }

    .markdown-body g-emoji {
        display: inline-block;
        min-width: 1ch;
        font-family: "Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
        font-size: 1em;
        font-style: normal !important;
        font-weight: 400;
        line-height: 1;
        vertical-align: -0.075em;
    }

        .markdown-body g-emoji img {
            width: 1em;
            height: 1em;
        }

    .markdown-body .task-list-item {
        list-style-type: none;
    }

        .markdown-body .task-list-item label {
            font-weight: 400;
        }

        .markdown-body .task-list-item.enabled label {
            cursor: pointer;
        }

        .markdown-body .task-list-item + .task-list-item {
            margin-top: 4px;
        }

        .markdown-body .task-list-item .handle {
            display: none;
        }

    .markdown-body .task-list-item-checkbox {
        margin: 0 .2em .25em -1.4em;
        vertical-align: middle;
    }

    .markdown-body .contains-task-list:dir(rtl) .task-list-item-checkbox {
        margin: 0 -1.6em .25em .2em;
    }

    .markdown-body .contains-task-list {
        position: relative;
    }

        .markdown-body .contains-task-list:hover .task-list-item-convert-container,
        .markdown-body .contains-task-list:focus-within .task-list-item-convert-container {
            display: block;
            width: auto;
            height: 24px;
            overflow: visible;
            clip: auto;
        }

    .markdown-body ::-webkit-calendar-picker-indicator {
        filter: invert(50%);
    }

    .markdown-body .markdown-alert {
        padding: 8px 16px;
        margin-bottom: 16px;
        color: inherit;
        border-left: .25em solid #d0d7de;
    }

        .markdown-body .markdown-alert > :first-child {
            margin-top: 0;
        }

        .markdown-body .markdown-alert > :last-child {
            margin-bottom: 0;
        }

        .markdown-body .markdown-alert .markdown-alert-title {
            display: flex;
            font-weight: 500;
            align-items: center;
            line-height: 1;
        }

        .markdown-body .markdown-alert.markdown-alert-note {
            border-left-color: #0969da;
        }

            .markdown-body .markdown-alert.markdown-alert-note .markdown-alert-title {
                color: #0969da;
            }

        .markdown-body .markdown-alert.markdown-alert-important {
            border-left-color: #8250df;
        }

            .markdown-body .markdown-alert.markdown-alert-important .markdown-alert-title {
                color: #8250df;
            }

        .markdown-body .markdown-alert.markdown-alert-warning {
            border-left-color: #9a6700;
        }

            .markdown-body .markdown-alert.markdown-alert-warning .markdown-alert-title {
                color: #9a6700;
            }

        .markdown-body .markdown-alert.markdown-alert-tip {
            border-left-color: #1f883d;
        }

            .markdown-body .markdown-alert.markdown-alert-tip .markdown-alert-title {
                color: #1a7f37;
            }

        .markdown-body .markdown-alert.markdown-alert-caution {
            border-left-color: #cf222e;
        }

            .markdown-body .markdown-alert.markdown-alert-caution .markdown-alert-title {
                color: #d1242f;
            }



.account-icon {
    width: 30px;
    height: 30px;
    margin-right: 20px;
}

.account-icon path{
    fill: #ffffff;
}


.stat-icon {
    margin-top: -2px;
}
.article-statistics {
    user-select: none;
}
.article-statistics li {
    line-height: 24px;
}

    .article-statistics li .earth path {
        fill: #116329;
    }

    .article-statistics li .account path {
        fill: #333333;
    }

    .article-statistics li .heart path {
        fill: #de6565;
    }

    .article-statistics li .star path {
        fill: #0a53be;
    }

.pen-icon {
    float: right;
    width: 24px;
    height: 24px;
    line-height: 24px;
}

    .pen-icon path {
        fill: #888888;
    }


.article-item-icon {
    width: 25px;
    height: 25px;
    float: right;
    border: 1px solid #eeeeee;
    background-color: #FFFFFF;
    border-radius: 4px;
    margin-left: 6px;
    margin-top: -8px;
    padding: 3px;
    cursor: pointer;
}
.article-item .star path {
    fill: #bba451;
}

.article-item .heart path {
    fill: #bba451;
}

.up-button {
    float: right;
    border: 1px solid blue;
    border-radius: 20px;
    width: 40px;
}

.up-vote-button {
    line-height: 23px;
    height: 23px;
    border: 0.5px solid #CCCCCC;
    border-radius: 50px;
    padding: 0px 6px 0px 4px;
    font-size: 12px;
    color: #888888;
    font-weight: 300;
}
    .up-vote-button:hover {
        background-color: #CAECFF;
        border-color: #0969DA;
    }
.up-vote-button-checked {
    background-color: #CAECFF;
    border-color: #0969DA;
    color: #0969DA;
    font-weight: 500;
}
    .up-vote-button-checked svg path {
        fill: #0969DA !important;
    }
    .up-vote-button svg {
        width: 14px;
        height: 14px;
        margin-right: 2px;
    }
        .up-vote-button svg path {
            fill: #CCCCCC;
        }

.star-vote-button {
    line-height: 23px;
    height: 23px;
    margin-left: 6px;
    border: 0.5px solid #CCCCCC;
    border-radius: 50px;
    padding: 0px 6px 0px 4px;
    font-size: 12px;
    color: #888888;
    font-weight: 300;
}
.star-vote-button-checked {
    background-color: #fef4b6;
    border-color: #9a8840;
    color: #9a8840;
    font-weight: 500;
}
    .star-vote-button-checked svg path {
        fill: #9a8840 !important;
    }
.star-vote-button svg {
    width: 14px;
    height: 14px;
    margin-right: 2px;
}
    .star-vote-button svg path {
        fill: #CCCCCC;
    }

.comment-dots-button {
}
    .comment-dots-button svg {
        width: 18px;
        height: 18px;
    }
        .comment-dots-button svg path {
            fill: #777777;
        }

.nav-list {
    padding-top: 20px;
}

    .nav-list .link {
        display: flex;
        align-items: center;
        justify-content: flex-start; /* ����: ��� ��Ҹ� �������� ���� */
        color: #000000;
        text-decoration: none;
        border-radius: 4px;
        margin-bottom: 0px;
        padding: 10px;
        padding-left: 20px;
    }

    /* �����ܰ� �ؽ�Ʈ�� �����ϴ� �����̳ʿ� ���� ���ο� ��Ÿ�� */
    .nav-list .content {
        display: flex;
        align-items: center;
        flex-grow: 1; /* �ʿ��� ��ü ������ �����ϵ��� Ȯ�� */
    }

    .nav-list .link:hover {
        background-color: #FAFAFA;
    }

.nav-list .icon, .chevron {
        width: 24px;
        height: 24px;
    }

    .nav-list .icon {
        margin-right: 14px; /* �����ܰ� �ؽ�Ʈ ������ ���� */
    }

        .nav-list .chevron {
            margin-left: auto; /* ü����� ������ ������ �о */
        }

    .nav-list .chevron-unselected {
        opacity: 0.01;
        width: 24px;
        height: 24px;
    }

    .nav-list .link:hover {
        background-color: #FAFAFA;
    }



